BuildTimeoutException (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional.testing, class: BuildTimeoutException

Package org.apache.tools.ant.taskdefs.optional.testing

# Class BuildTimeoutException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.tools.ant.BuildException
org.apache.tools.ant.taskdefs.optional.testing.BuildTimeoutException

All Implemented Interfaces:
  `Serializable`

public class BuildTimeoutException extends BuildException
This exception is used to indicate timeouts.

Since:
  Ant1.8
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BuildTimeoutException()`
  Constructs a build exception with no descriptive information.
  `BuildTimeoutException(String message)`
  Constructs an exception with the given descriptive message.
  `BuildTimeoutException(String message, Throwable cause)`
  Constructs an exception with the given message and exception as a root cause.
  `BuildTimeoutException(String msg, Throwable cause, Location location)`
  Constructs an exception with the given message and exception as a root cause and a location in a file.
  `BuildTimeoutException(String message, Location location)`
  Constructs an exception with the given descriptive message and a location in a file.
  `BuildTimeoutException(Throwable cause)`
  Constructs an exception with the given exception as a root cause.
  `BuildTimeoutException(Throwable cause, Location location)`
  Constructs an exception with the given exception as a root cause and a location in a file.

- ## Method Summary

  ### Methods inherited from class org.apache.tools.ant.BuildException

  `getException, getLocation, of, setLocation, toString`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BuildTimeoutException

    public BuildTimeoutException()
    Constructs a build exception with no descriptive information.

  - ### BuildTimeoutException

    public BuildTimeoutException(String message)
    Constructs an exception with the given descriptive message.
    Parameters:
      `message` - A description of or information about the exception. Should not be `null`.

  - ### BuildTimeoutException

    public BuildTimeoutException(String message, Throwable cause)
    Constructs an exception with the given message and exception as a root cause.
    Parameters:
      `message` - A description of or information about the exception. Should not be `null` unless a cause is specified.
      `cause` - The exception that might have caused this one. May be `null`.

  - ### BuildTimeoutException

    public BuildTimeoutException(String msg, Throwable cause, Location location)
    Constructs an exception with the given message and exception as a root cause and a location in a file.
    Parameters:
      `msg` - A description of or information about the exception. Should not be `null` unless a cause is specified.
      `cause` - The exception that might have caused this one. May be `null`.
      `location` - The location in the project file where the error occurred. Must not be `null`.

  - ### BuildTimeoutException

    public BuildTimeoutException(Throwable cause)
    Constructs an exception with the given exception as a root cause.
    Parameters:
      `cause` - The exception that might have caused this one. Should not be `null`.

  - ### BuildTimeoutException

    public BuildTimeoutException(String message, Location location)
    Constructs an exception with the given descriptive message and a location in a file.
    Parameters:
      `message` - A description of or information about the exception. Should not be `null`.
      `location` - The location in the project file where the error occurred. Must not be `null`.

  - ### BuildTimeoutException

    public BuildTimeoutException(Throwable cause, Location location)
    Constructs an exception with the given exception as a root cause and a location in a file.
    Parameters:
      `cause` - The exception that might have caused this one. Should not be `null`.
      `location` - The location in the project file where the error occurred. Must not be `null`.